@echo off
rem FailText - Display-text invoked at label :failed in Q2{ndx} scripts
rem R.Shirley, 12Jun02
rem
echo    ** Crysfire can't proceed further with this run **
echo.
echo If any error messages are displayed, note them *NOW* while you can see them.
pause
echo    Here are some possibilities for you to check:
echo.
echo 1) If you got an "Out of environment space" message, you have probably
echo    already used up most of your DOS environment allocation, and so
echo    need to increase this to e.g. 1024 or 2048 bytes, using the SHELL
echo    command in CONFIG.SYS (/e parameter - e.g. /e:2048 for 2048 bytes)
echo.
echo    Thus to provide 2048 bytes of environment space, insert the one of the
echo    following "shell=" lines in your CONFIG.SYS file, as appropriate:
echo.
echo    (Windows 9x, etc)  shell=C:\WINDOWS\COMMAND.COM C:\WINDOWS /e:2048 /p
echo    (DOS/Windows 3.x)  shell=C:\COMMAND.COM C:\DOS /e:2048 /p
echo.
echo    Special action is required under Windows ME (which ignores CONFIG.SYS):
echo    Right-click on the Crysfire (or MSDOS) icon on the Windows desktop,
echo    and choose "Properties" then "Memory".  Change the setting for the
echo    "Initial Environment" from "Auto" to a suitable value such as 2048
echo    (the largest available is 4096).
echo.
pause
echo 2) If the message reads "Bad command or file name", one of the scripts or
echo    programs needed couldn't be found.  So check that the CF_HOME.BAT script
echo    exists in a directory on your execution PATH (usually in C:\WINDOWS
echo    under Windows, or C:\DOS under DOS), and if so, whether it correctly
echo    specifies the Crysfire home directory (usually C:\CRYSFIRE).
echo.
echo 3) If you got an out-of-memory diagnostic, use MEM to check whether you
echo    have enough base-memory free (preferably at least 550K).  If not, try
echo    freeing some up, for example by booting without network drivers.
echo.
echo 4) If you ran out of disk space, free some up and try again (5MB free
echo    would be nice).
echo.
echo 5) Check whether all Crysfire's programs and scripts are present, up to date,
echo    and in the home directory specified by CF_HOME.BAT (see (2) above)
echo.
pause
echo 6) If you've checked all the above, *and* have read Crysfire.rtf, but you're
echo    *still* stuck, email me at R.Shirley@surrey.ac.uk, explaining *clearly*
echo    what happened and the *exact* wording of any error messages, and preferably
echo    attaching the relevant data and output files - and I'll see what I can do.
echo    But as I get very busy, I can't make any promises.
echo.
echo    Good luck!                                            Robin Shirley
echo.
